<?php

    $vr_games_theme_css= "";

    /*--------------------------- Scroll to top positions -------------------*/

    $vr_games_scroll_position = get_theme_mod( 'vr_games_scroll_top_position','Right');
    if($vr_games_scroll_position == 'Right'){
        $vr_games_theme_css .='#button{';
            $vr_games_theme_css .='right: 20px;';
        $vr_games_theme_css .='}';
    }else if($vr_games_scroll_position == 'Left'){
        $vr_games_theme_css .='#button{';
            $vr_games_theme_css .='left: 20px;';
        $vr_games_theme_css .='}';
    }else if($vr_games_scroll_position == 'Center'){
        $vr_games_theme_css .='#button{';
            $vr_games_theme_css .='right: 50%;left: 50%;';
        $vr_games_theme_css .='}';
    }

    /*-------------------- Global First Color -------------------*/

    $vr_games_first_color = get_theme_mod('vr_games_first_color');
    $vr_games_second_color = get_theme_mod('vr_games_second_color');

    if ($vr_games_first_color) {
        $vr_games_theme_css .= ':root {';
        $vr_games_theme_css .= '--first-color: ' . esc_attr($vr_games_first_color) . ' !important;';
        $vr_games_theme_css .= '} ';
    }

    if ($vr_games_second_color) {
        $vr_games_theme_css .= ':root {';
        $vr_games_theme_css .= '--second-color: ' . esc_attr($vr_games_second_color) . ' !important;';
        $vr_games_theme_css .= '} ';
    }

    /*-------------------- Heading typography -------------------*/

    $vr_games_heading_color = get_theme_mod('vr_games_heading_color');
    $vr_games_heading_font_family = get_theme_mod('vr_games_heading_font_family');
    $vr_games_heading_font_size = get_theme_mod('vr_games_heading_font_size');
    if($vr_games_heading_color != false || $vr_games_heading_font_family != false || $vr_games_heading_font_size != false){
        $vr_games_theme_css .='h1, h2, h3, h4, h5, h6, .navbar-brand h1.site-title, h2.entry-title, h1.entry-title, h2.page-title, #latest_post h2, h2.woocommerce-loop-product__title, #top-slider .slider-inner-box h3, #top-slider h3.main-heading, .featured h3.main-heading, .article-box h3.entry-title, .featured h4.main-heading, .ser-content h4 a, #colophon h5, .sidebar h5, #top-slider h4.main-text, #top-slider h5.left-text-heading, h5.main-title,h5.box-title, #top-slider .image-box-2-heading h6, #top-slider .image-box-3-heading h6, #top-slider .image-box-1-heading h6, #top-slider .phone-content h6, h6.main-short, h6.box-short, .featured h6.team-designation {';
            $vr_games_theme_css .='color: '.esc_attr($vr_games_heading_color).'!important; 
            font-family: '.esc_attr($vr_games_heading_font_family).'!important;
            font-size: '.esc_attr($vr_games_heading_font_size).'px !important;';
        $vr_games_theme_css .='}';
    }

    $vr_games_paragraph_color = get_theme_mod('vr_games_paragraph_color');
    $vr_games_paragraph_font_family = get_theme_mod('vr_games_paragraph_font_family');
    $vr_games_paragraph_font_size = get_theme_mod('vr_games_paragraph_font_size');
    if($vr_games_paragraph_color != false || $vr_games_paragraph_font_family != false || $vr_games_paragraph_font_size != false){
        $vr_games_theme_css .='p, p.site-title, span, .article-box p, ul, li{';
            $vr_games_theme_css .='color: '.esc_attr($vr_games_paragraph_color).'!important; 
            font-family: '.esc_attr($vr_games_paragraph_font_family).'!important;
            font-size: '.esc_attr($vr_games_paragraph_font_size).'px !important;';
        $vr_games_theme_css .='}';
    }

    /*------------------ Nav Menus -------------------*/

    $vr_games_nav_menu = get_theme_mod( 'vr_games_nav_menu_text_transform','Capitalize');
    if($vr_games_nav_menu == 'Capitalize'){
        $vr_games_theme_css .='.main-navigation .menu > li > a{';
            $vr_games_theme_css .='text-transform:Capitalize;';
        $vr_games_theme_css .='}';
    }
    if($vr_games_nav_menu == 'Lowercase'){
        $vr_games_theme_css .='.main-navigation .menu > li > a{';
            $vr_games_theme_css .='text-transform:Lowercase;';
        $vr_games_theme_css .='}';
    }
    if($vr_games_nav_menu == 'Uppercase'){
        $vr_games_theme_css .='.main-navigation .menu > li > a{';
            $vr_games_theme_css .='text-transform:Uppercase;';
        $vr_games_theme_css .='}';
    }

    $vr_games_menu_font_size = get_theme_mod( 'vr_games_menu_font_size');
    if($vr_games_menu_font_size != ''){
        $vr_games_theme_css .='.main-navigation .menu > li > a{';
            $vr_games_theme_css .='font-size: '.esc_attr($vr_games_menu_font_size).'px;';
        $vr_games_theme_css .='}';
    }

    $vr_games_nav_menu_font_weight = get_theme_mod( 'vr_games_nav_menu_font_weight',600);
    if($vr_games_menu_font_size != ''){
        $vr_games_theme_css .='.main-navigation .menu > li > a{';
            $vr_games_theme_css .='font-weight: '.esc_attr($vr_games_nav_menu_font_weight).';';
        $vr_games_theme_css .='}';
    }

    /*------------------ Slider CSS -------------------*/

    $vr_games_slider_content_layout = get_theme_mod( 'vr_games_slider_content_layout','Left');
    if($vr_games_slider_content_layout == 'Left'){
        $vr_games_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $vr_games_theme_css .='text-align : left;';
        $vr_games_theme_css .='}';
    }
    if($vr_games_slider_content_layout == 'Center'){
        $vr_games_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $vr_games_theme_css .='text-align : center;';
        $vr_games_theme_css .='}';
        $vr_games_theme_css .='#top-slider .slider-inner-box{';
            $vr_games_theme_css .='width : 100%;';
        $vr_games_theme_css .='}';
    }
    if($vr_games_slider_content_layout == 'Right'){
        $vr_games_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $vr_games_theme_css .='text-align : right;';
        $vr_games_theme_css .='}';
        $vr_games_theme_css .='#top-slider .slider-inner-box{';
            $vr_games_theme_css .='margin-left : auto;';
        $vr_games_theme_css .='}';
    }

    /*------------------ Footer CSS -------------------*/
    $vr_games_footer_bg_color = get_theme_mod( 'vr_games_footer_bg_color');
    if($vr_games_footer_bg_color != '' ){
        $vr_games_theme_css .='#colophon {';
            $vr_games_theme_css .='background-color: '.esc_attr($vr_games_footer_bg_color).'; ';
        $vr_games_theme_css .='}';
    }

    $vr_games_footer_content_color = get_theme_mod( 'vr_games_footer_content_color');
    if($vr_games_footer_content_color != ''){
        $vr_games_theme_css .='#colophon, #colophon a, #colophon h5, #colophon .widget #wp-calendar caption {';
            $vr_games_theme_css .='color: '.esc_attr($vr_games_footer_content_color).';';
        $vr_games_theme_css .='}';
    }

    /*------------------ Copyright CSS -------------------*/
    $vr_games_copyright_text_color = get_theme_mod( 'vr_games_copyright_text_color');
    if($vr_games_copyright_text_color != ''){
        $vr_games_theme_css .='#colophon .site-info a, #colophon .site-info span {';
            $vr_games_theme_css .='color: '.esc_attr($vr_games_copyright_text_color).';';
        $vr_games_theme_css .='}';
    }